package com.peetz.tradingcards.service;

import java.util.Collection;

import javax.ejb.Local;

import com.peetz.tradingcards.entity.BaseSetEntity;
import com.peetz.tradingcards.entity.InsertEntity;
import com.peetz.tradingcards.entity.ManufacturerEntity;
import com.peetz.tradingcards.entity.ParallelSetEntity;
import com.peetz.tradingcards.entity.SportCardEntity;

@Local
public interface TradingcardService {

	Collection<ManufacturerEntity> getAllManufacturers();

	void addManufacturer(String name);

	Collection<SportCardEntity> getAllSportCards();

	Collection<BaseSetEntity> getBaseSetsByManufacturer(ManufacturerEntity manufacturer);

	Collection<ParallelSetEntity> getParallelSetsByManufacturer(ManufacturerEntity manufacturer);

	Collection<InsertEntity> getInsertsByManufacturer(ManufacturerEntity manufacturer);

}
